Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

Cisco Employee

Unity 3.1.3 NT4.0 Exchange 5.5 SQL hotfix error

I have been seeing different but related problems with Unity 3.1.1 and Unity 3.1.3 errors. Need help...<br><br>----1st error:<br>I had the customer install the baseline of the system and stoped until they got to the Unity portion (Unity 3.1.1). They had all the service patches installed even SQL SP1. Once we installed the Unity 3.1.1 and went to run the configuration tool it gave me the NameProps error (which I found out was a bug after the install from previous searches on answermonkey). Then TAC told me to install the new version of Unity 3.1.3 because it would fix this problem. (The customer named there server with a "-" in it, i.e. SERVER-NAME).<br>-----2nd problem:<br>We went to install the Unity 3.1.3 and it gave us this exact error "The followin problem was found while verifying that the system meets the installation requirements: SAL server executable file version found is lower than current hot fix. Install SQL Server hot fix before installing Unity. Please refer to the release notes of the Unity version for information on how to apply the hotfix."<br>So I read thru the release notes, ran the 3.1.1patchto3.1.3 and that still didn't give me what I needed. So I went to microsofts website and downloaded the SQL MSDE SP2 and installed that...and that still didn't work, I got the same answer as above.<br><br>Has anyone seen this or know how to fix this problem? I have a TAC case open and have the customer here right now trying to fix the problem, but we are stuck. (case number C574625).<br><br>

2 REPLIES
Anonymous
N/A

Re: Unity 3.1.3 NT4.0 Exchange 5.5 SQL hotfix error

You say you installed SP1 and SP2 but you didn't say you'd installed the hot fix for SQL mentioned in the release notes:

http://www.cisco.com/univercd/cc/td/doc/product/voice/c_unity/unity31/rel_note/cu313rn.htm#xtocid21

The hot fix is NOT contained in either service pack 1 or 2 from Microsoft (it'll be in SP3 when it's released). You can't, in fact, get this fix directly from Microsoft unless you have a special service contract. It fixes a very serious issue with SQL 2000 that was causing problems on Unity sites so we require you apply it for 3.1(3). Follow the instructions at the link above (from the release notes) and you should be fine.



Jeff Lindborg
Unity Technical Lead/Answer Monkey
Cisco Systems
lindborg@cisco.com
http://www.AnswerMonkey.net (new page for Unity support tools and scripts)

Cisco Employee

Re: Unity 3.1.3 NT4.0 Exchange 5.5 SQL hotfix error

I read over the documentation and it still didn't work. I did the "CiscoUnity3.1.3PatchFrom3.1.1.exe." and the SP2 for the SQL. It turned out that you need to go into the SQL manager interface and change the "sqlserv.exe" file with the corresponding one from the "CiscoUnity3.1.3ServicePacks-ENU-CD1of1.exe." file that matches the SP that was installed with SQL. We found that by replacing this the problem went away and we could finish the installation. We didn't need to install the other *.dll files that were in that folder either, just the sqlserv.exe file. I don't know if other people have had this problem or if it is stated somewhere to replace this but I couldn't find it. It works now, with help from TAC (they ROCK!) and the customer is very happy with the Unity/CallManager system. Thanks for the help Jeff, I really appreciate all the assistance. Have a good one...

100
Views
0
Helpful
2
Replies
CreatePlease login to create content